Create form
Create an empty draft form.
Create an empty draft form.
Reach also adds an automatic form:{name} tag that every submitter receives. A draft has no design
and is not reachable by visitors: save a design with the update form template operation, then take
the form live by setting its status to active. Creating a form does not consume AI credits.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
profileUuidstringRequiredExample:
Profile uuid parameter
550e8400-e09b-41d4-a716-400055000000Body
Create a draft form
namestring · max: 255RequiredExample:
Form name. Letters, digits, spaces and - . ' _ only.
Newsletter signupPattern: ^[\p{L}\p{M}\p{N}\s\-.'_]+$Responses
200
Success response
application/json
uuidstringOptionalExample:
550e8400-e29b-41d4-a716-446655440000namestringOptionalExample:
Newsletter signupstatusstring · enumOptionalExample:
A paused form keeps its template online but stops accepting submissions.
activePossible values: typestring · enumOptionalExample:
formPossible values: created_atstring · date-timeOptionalExample:
2025-02-27T11:54:22Zupdated_atstring · date-time · nullableOptionalExample:
2025-03-04T09:12:07Z401
Unauthenticated response
application/json
422
Validation error response
application/json
500
Error response
application/json
post/api/reach/v1/profiles/{profileUuid}/forms
POST /api/reach/v1/profiles/{profileUuid}/forms HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"name": "Newsletter signup"
}{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "Newsletter signup",
"status": "active",
"type": "form",
"template": {
"uuid": "2080cc86-e026-4f7b-9598-d4132f8c7c2f",
"path": "forms/8f2c1b9e-1f4a-4a1e-9a2b-2f3c4d5e6f70/9a1b2c3d.html"
},
"created_at": "2025-02-27T11:54:22Z",
"updated_at": "2025-03-04T09:12:07Z"
}Last updated
Was this helpful?